Get all worklogs for a ticket
curl --request GET \
--url https://demo.enneo.ai/api/mind/ticket/{ticketId}/worklog \
--header 'Authorization: Bearer <token>'[
{
"id": 551,
"ticketId": 8821,
"date": "2024-06-12",
"latestInteraction": "2024-06-12T09:59:00Z",
"assessments": [
{
"id": 901,
"scorecardId": 42
},
{
"id": 902,
"scorecardId": 43
}
],
"worklog": {
"userId": 23,
"worklogId": 551,
"latestInteraction": "2024-06-12T09:59:00Z",
"ticketId": 8821,
"conversationId": 331,
"action": "closeAction",
"actionList": [
"reply",
"closed"
],
"actionListText": [
"Sent reply to customer",
"Closed ticket"
]
},
"aiUsage": {
"automationLevel": 2,
"automationLevelLabel": "Assisted",
"aiAgents": [
{
"id": 5,
"name": "Email Assistant",
"description": "Generates email responses",
"intelligence": "smart",
"textAssistanceAccuracy": 0.92,
"actions": null
}
]
},
"time": {
"duration": 480,
"durationAfterWork": 120,
"segments": [
{
"userTimeTrackingId": 1201,
"from": "2024-06-12T09:51:00Z",
"to": "2024-06-12T09:59:00Z",
"actionList": [
"reply",
"closed"
],
"actionListText": [
"Sent reply to customer",
"Closed ticket"
]
}
]
},
"customerExperience": {
"slaMet": true,
"netSecondsClosedAfterSla": -1800,
"closingDateForSLA": "2024-06-12T09:59:00Z",
"dueDateForSLA": "2024-06-12T10:30:00Z",
"reOpened": false,
"csat": {
"id": 88,
"scale": 5,
"answerStars": 5,
"answerText": "Great service!"
}
}
},
{
"id": 552,
"ticketId": 8821,
"date": "2024-06-13",
"latestInteraction": "2024-06-13T07:45:00Z",
"assessments": [],
"worklog": {
"userId": 23,
"worklogId": 552,
"latestInteraction": "2024-06-13T07:45:00Z",
"ticketId": 8821,
"conversationId": 332,
"action": "writeAction",
"actionList": [
"reply"
],
"actionListText": [
"Sent reply to customer"
]
},
"aiUsage": {
"automationLevel": 1,
"automationLevelLabel": "Monitor",
"aiAgents": []
},
"time": {
"duration": 360,
"durationAfterWork": 60,
"segments": [
{
"userTimeTrackingId": 1215,
"from": "2024-06-13T07:39:00Z",
"to": "2024-06-13T07:45:00Z",
"actionList": [
"reply"
],
"actionListText": [
"Sent reply to customer"
]
}
]
},
"customerExperience": {
"slaMet": true,
"netSecondsClosedAfterSla": 0,
"closingDateForSLA": "2024-06-13T08:10:00Z",
"dueDateForSLA": "2024-06-13T08:30:00Z",
"reOpened": false,
"csat": null
}
}
]Quality Management
Get all worklogs for a ticket
Retrieve all worklog entries associated with a specific ticket, including their linked assessments and detailed worklog information.
GET
/
ticket
/
{ticketId}
/
worklog
Get all worklogs for a ticket
curl --request GET \
--url https://demo.enneo.ai/api/mind/ticket/{ticketId}/worklog \
--header 'Authorization: Bearer <token>'[
{
"id": 551,
"ticketId": 8821,
"date": "2024-06-12",
"latestInteraction": "2024-06-12T09:59:00Z",
"assessments": [
{
"id": 901,
"scorecardId": 42
},
{
"id": 902,
"scorecardId": 43
}
],
"worklog": {
"userId": 23,
"worklogId": 551,
"latestInteraction": "2024-06-12T09:59:00Z",
"ticketId": 8821,
"conversationId": 331,
"action": "closeAction",
"actionList": [
"reply",
"closed"
],
"actionListText": [
"Sent reply to customer",
"Closed ticket"
]
},
"aiUsage": {
"automationLevel": 2,
"automationLevelLabel": "Assisted",
"aiAgents": [
{
"id": 5,
"name": "Email Assistant",
"description": "Generates email responses",
"intelligence": "smart",
"textAssistanceAccuracy": 0.92,
"actions": null
}
]
},
"time": {
"duration": 480,
"durationAfterWork": 120,
"segments": [
{
"userTimeTrackingId": 1201,
"from": "2024-06-12T09:51:00Z",
"to": "2024-06-12T09:59:00Z",
"actionList": [
"reply",
"closed"
],
"actionListText": [
"Sent reply to customer",
"Closed ticket"
]
}
]
},
"customerExperience": {
"slaMet": true,
"netSecondsClosedAfterSla": -1800,
"closingDateForSLA": "2024-06-12T09:59:00Z",
"dueDateForSLA": "2024-06-12T10:30:00Z",
"reOpened": false,
"csat": {
"id": 88,
"scale": 5,
"answerStars": 5,
"answerText": "Great service!"
}
}
},
{
"id": 552,
"ticketId": 8821,
"date": "2024-06-13",
"latestInteraction": "2024-06-13T07:45:00Z",
"assessments": [],
"worklog": {
"userId": 23,
"worklogId": 552,
"latestInteraction": "2024-06-13T07:45:00Z",
"ticketId": 8821,
"conversationId": 332,
"action": "writeAction",
"actionList": [
"reply"
],
"actionListText": [
"Sent reply to customer"
]
},
"aiUsage": {
"automationLevel": 1,
"automationLevelLabel": "Monitor",
"aiAgents": []
},
"time": {
"duration": 360,
"durationAfterWork": 60,
"segments": [
{
"userTimeTrackingId": 1215,
"from": "2024-06-13T07:39:00Z",
"to": "2024-06-13T07:45:00Z",
"actionList": [
"reply"
],
"actionListText": [
"Sent reply to customer"
]
}
]
},
"customerExperience": {
"slaMet": true,
"netSecondsClosedAfterSla": 0,
"closingDateForSLA": "2024-06-13T08:10:00Z",
"dueDateForSLA": "2024-06-13T08:30:00Z",
"reOpened": false,
"csat": null
}
}
]Autorisierungen
bearerAuthcookieAuth
JWT-based authentication
Pfadparameter
Ticket ID
Antwort
Successful operation
Worklog ID
Ticket ID
Date of the worklog entry
Latest interaction timestamp for this worklog
All quality assessments associated with this worklog
Show child attributes
Show child attributes
General worklog information
Show child attributes
Show child attributes
AI usage information for this worklog
Show child attributes
Show child attributes
Time tracking information
Show child attributes
Show child attributes
Customer experience metrics
Show child attributes
Show child attributes
⌘I